Bug 226159 - shortcuts to zoom in Maintoolbar is not working
Summary: shortcuts to zoom in Maintoolbar is not working
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-10 16:53 UTC by devi
Modified: 2010-02-21 14:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch to enable working of zoom functions (962 bytes, patch)
2010-02-11 13:52 UTC, devi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description devi 2010-02-10 16:53:36 UTC
Version:           1.6.0 (using 4.3.85 (KDE 4.3.85 (KDE 4.4 Beta2)), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.31-14-generic

The zoomIn,zoomout,defaultzoom functions from view->zoomIn/zoomout/defaultzoom and shortcuts to them in Maintoolbar are not working
Comment 1 devi 2010-02-11 13:52:27 UTC
Created attachment 40677 [details]
patch to enable working of zoom functions
Comment 2 Alexey Khudiakov 2010-02-15 19:37:35 UTC
SVN commit 1090668 by khudyakov:

Backporting bug fix into 4.4 branch.

Trunk require more well thought approach. Order of initialization
of KStars and SkyMap is too interweaved. It must be simplified

Thanks to Sruthi Devi for finding and fixing bug.

CCBUG: 226159
CCMAIL: kstars-devel@kde.org



 M  +3 -3      kstarsinit.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1090668
Comment 3 Alexey Khudiakov 2010-02-21 14:05:54 UTC
SVN commit 1093793 by khudyakov:

Four slots are added to SkyMap. They are used for toggling
infoboxes visibility.

This commit fixes bug 226159

BUG: 226159

 M  +19 -7     kstarsinit.cpp  
 M  +13 -20    skymap.cpp  
 M  +84 -75    skymap.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1093793